globus_xio_mode_e_driver_instance(3)

NAME
globus_xio_mode_e_driver_instance - Opening/Closing

 - Opening/Closing.

SYNOPSIS

Detailed Description

Opening/Closing.

An XIO handle with the mode_e driver can be created with either globus_xio_handle_create() or globus_xio_server_register_accept().

If the handle is created with globus_xio_handle_create(), the contact string passed to ref globus_xio_register_open() call must contain a host name and service/port. The number of streams required can be specified on the attr using GLOBUS_XIO_MODE_E_SET_NUM_STREAMS (default is one stream). The stack of drivers to be used on the streams can be specified on the attr using GLOBUS_XIO_MODE_E_SET_STACK (default is a stack containing TCP driver).

When the XIO handle is closed, the mode_e driver will destroy its internal resources and close the stream(s).

Author

Generated automatically by Doxygen for globus_xio from the source code.